[TESTING] Kodi 18 (Leia) builds for Raspberry Pi


14:14:17.703 T:1957126144 NOTICE: ARM mem: 848MB GPU mem: 160MB MPG2:1 WVC1:1

GPU mem should be set to 256mb on a pi 3.


You’re right, but that can not be the reason for the problem. I have a second pi with the same OSMC version and with standard configuration and there is the same problem.


I have the same problem as you since almost the first alphas. didn’t say it cause I thought it was going to be corrected eventually


I have still further tested. I have found out that the problem only occurs in the main menu. When I go to all movies and start a movie the problem does not occur. Not even if I start a movie directly over Yatse or the web interface. For tv shows its the same.
The query for the font.xml also occurs when I go into the addon settings.


Hi !
I am testing this build, and I think the last version of inputstream.adaptive is not implemented. Currently it is version 2.0.7, and I know the version 2.0.10 exist (i need it for an add on, some people have it on kodi for PC)


Do you have a link for 2.0.10? I’ve checked the latest master and it’s 2.0.8 which the next nightly build will contain.


No I haven’t …
I have searched, but i didn’t find it.

I don’t understand everything about OSMC, add ons etc (i am not a developer ^^).

On this link (it is an add on for kodi) peoples have no problem to have the last version but i don’t know how they have it. (The last page)



2.0.12 was committed a few mins ago. I was looking at the readme file which still refers to 2.0.8.

The next osmc nightly will include 2.0.12


How did you manage to make Netflix work? I just did a fresh OSMC install and upgrade to kodi 18 following the instructions here and there’s always an error when I try to install the Netflix plugin.

On the other hand, it does work fine when installing the Netflix plugin onto the kodi 18 testbuild for LibreELEC.

Taking a look at the OSMC logs, the problem seems to be related to cryptodome python module failing to import correctly (line 19 from https://github.com/asciidisco/plugin.video.netflix/blob/master/resources/lib/MSL.py):

from Cryptodome.PublicKey import RSA

Does anyone know how to fix it to make Netflix work on kodi 18 testbuild for OSMC ? I tried to fix it by installing the cryptodome module following this guide, but although now I can enter my Netflix account, it still crashes when trying to play videos.


You have to install pycryptodomex to have everything under the correct Cryptodome package (paragraph 2).
sudo pip install pycryptodomex
Please keep in mind that there will likely be conflicts with existing files when either pycryptodome gets packaged by OSMC or by Debian (I don’t know if it’s in Stretch).


that package is from Debian and pip installs from the python repo


@gmc do you have an idea of the release date ?


Will be at the end of this month. I’m on holiday at the moment and out of the country


At the end if this month, oh it’s not far. I imagined one or two months of waiting. ^^

Enjoy your Holiday !!


There is no Debian package of pycryptodome(x) for Jessie or Stretch as far as i know. I thought it could be beneficial to package it in OSMC to provide an out-of-the-box Netflix experience by the time Leia gets released.


17.8-094, 12 Aug 2017: Based off OSMC commit (bd0433c32) and newclock5 (56f8e0bf)

Add in widevine libraries required for Netflix/Amazon plugins
Re-add pvr.hts, pvr.hdhomerun, pvr.vdr.vnsi

[cleanup] silence compiler warnings (PR:12631, 5 commits, 35 files changed)
Add xbmcgui.Control.isVisible method (PR:12563, 1 commit, 2 files changed)
FIX: Database debug spew on demand only (PR:12534, 1 commit, 4 files changed)
AESinkALSA: Return false if we don’t know about our output channels (PR:12641, 2 commits, 3 files changed)

[HLS] support license_key header information for key requests (23ffca38)
Update README.md (dbae4e1c)
NAL escaping implemented (SPS timing info failed) (2720bb51)

Includes latest addons: inputstream.adaptive (2720bb51, +15), inputstream.rtmp (476bde07), peripheral.joystick (1815c0fb), pvr.argustv (310737e2), pvr.demo (9d0aa8fb), pvr.dvblink (7d9c181f, +1), pvr.dvbviewer (9faf2413), pvr.filmon (1c9d2ebe), pvr.hdhomerun (bf23dbc0, +6), pvr.hts (1ceadf1b), pvr.iptvsimple (0f4a453b, +1), pvr.mediaportal.tvserver (d7a9acdb), pvr.mythtv (d1f3ce50), pvr.nextpvr (03a3b714), pvr.njoy (79e8e653), pvr.octonet (a77cf111), pvr.pctv (00b76689), pvr.stalker (9e28f125), pvr.vbox (44f3d04e), pvr.vdr.vnsi (6e332b0b)


Hopefully I’m posting this correctly since the last posting here is for 17.8-094, but the Kodi forum (using the same distro/source) listed 17.8-095:
So - for anyone else who updates to 17.8-095 and is also greeted with a constant sadface bootloop, I found a solution after going through this all day.
simply run this command:

sudo apt-get install libiso9660-dev

after that installs, OSMC/Kodi booted right up w/ all my addons and things intact

for whatever reason, 17.8-095 is missing libiso9660.so.8 and Kodi wont launch without it
Couldn’t find this lib or package referenced anywhere else either.
This was effecting clean installs too, not a single addon. 17.8-094 would boot fine, but 095 would refuse.
Stumbled across it by trying to launch Kodi directly instead of the mediacenter (since none of the logs were proving helpful and none of the other forums were mentioning issues)


Thanks for the report. Really odd. libiso is a build dependency but not a runtime dependency. I’ve done a clean install and don’t have the file present and kodi runs without issue.

If you remove libiso9660-dev do you again have issues?

BTW: The latest build info is always posted to the top of this thread.


thanks for the great update, but I think you forget to include the pvr.hts add-on.
Can you please add pvr.hts in the next update?

I have the same issue like @Artlan_Wolf and with his fix Kodi now boot up.


/thanks missed that one. Will include the pvr.hts in the next update.
I will do some further digging into the libiso9660 issue.

Update: On the rbp I’m now seeing the libiso9660 issue. Works on the Vero 4k which is where I tested from.